<?php

/**
 This project has been generated by nuts generator
 nuts has been made by fahmi sulaiman
 sulaimanfahmi@gmail.com
 */

namespace Helper;
use Base\BaseHelper;
use Model\BanksModel;

class BanksHelper extends BaseHelper
{
   // public $alias=[:ALIAS_PROPERTY:];
    //public $relation=[];
    public $model="\Model\BanksModel";

        public function __construct()
    	{
    		parent::__construct();
    	}

    public function paging($input){
		$model = new BanksModel();
		$model->paginating($input);
		$model=$model->getPaginate();
		return $model;
		}

    public function show($id){
		$model = new BanksModel();
		$model=$model->findById($id);
		return $model;
		}

    public function store($input){
		$this->beforeInsert($input["Banks"]);
		$model = new BanksModel($input["Banks"]);
		if(!$model->save()){
		throw new \Exception();
		}
		return $model;
		}

    public function delete($id){
		$this->beforeDelete($id);
		$model =BanksModel::find($id);
		if(!$model->delete()){
		throw new \Exception();		}
		return $model;
		}

    public function update($id,$input){
		$this->beforeUpdate($id,$input);
		$model =BanksModel::find($id);
		$model->setProperty($input["Banks"]);
		if(!$model->update()){
		throw new \Exception();		}
		return $model;
		}

    

    
}